Main Page Packages Class Hierarchy Compound List File List Compound Members

# nodeelementnodename Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| nodeelementnodename (DOMTestDocumentBuilderFactory factory)
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

The string returned by the "getNodeName()" method for an

Element Node is its tagName.

Retrieve the first Element Node(Root Node) of the

DOM object and check the string returned by the

"getNodeName()" method. It should be equal to its

tagName.

Author:
  NIST , Mary Brady

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-F68D095

Definition at line 53 of file nodeelementnodename.java.

## Constructor & Destructor Documentation

nodeelementnodename::nodeelementnodename | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 55 of file nodeelementnodename.java.
    00056  {
    00057       super(factory);
    00058
    00059    }

## Member Function Documentation

String nodeelementnodename::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 71 of file nodeelementnodename.java.
    00071                                 {
    00072       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/nodeelementnodename";
    00073    }

void nodeelementnodename::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 74 of file nodeelementnodename.java. References DOMTestCase::doMain().
    00074                                           {
    00075         DOMTestCase.doMain(nodeelementnodename.class,args);
    00076    }

void nodeelementnodename::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 61 of file nodeelementnodename.java. References DOMTestCase::assertEquals(), and DOMTest::load().
    00061                                                     {
    00062       Document doc;
    00063       Element elementNode;
    00064       String elementName;
    00065       doc = load("staff");
    00066       elementNode = doc.getDocumentElement();
    00067       elementName = elementNode.getNodeName();
    00068       assertEquals("nodeElementNodeNameAssert1","staff",elementName);
    00069
    00070    }

The documentation for this class was generated from the following file:

- nodeelementnodename.java